Bug 46667 - object-deletion-behaviour.html fails with mesa backend
Summary: object-deletion-behaviour.html fails with mesa backend
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Other
: P2 Normal
Assignee: Zhenyao Mo
URL:
Keywords:
Depends on: 43942
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-27 15:45 PDT by Zhenyao Mo
Modified: 2010-10-27 14:04 PDT (History)
5 users (show)

See Also:


Attachments
patch (1.39 KB, patch)
2010-10-19 16:03 PDT, Zhenyao Mo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Zhenyao Mo 2010-10-19 15:55:51 PDT
I did some testing, and it turns out to be a mesa bug.  I filed it to mesa: https://bugs.freedesktop.org/show_bug.cgi?id=30993

In the meantime, I'll do a work-around to get the test pass.
Comment 2 Zhenyao Mo 2010-10-19 16:03:00 PDT
Created attachment 71216 [details]
patch

This fix is to work around the mesa bug, but it is good/correct behavior anyway.

Tested, with this fix, the test will pass with mesa backend.
Comment 3 Kenneth Russell 2010-10-26 14:44:21 PDT
Comment on attachment 71216 [details]
patch

OK.
Comment 4 Zhenyao Mo 2010-10-27 10:14:40 PDT
Comment on attachment 71216 [details]
patch

Clearing flags on attachment: 71216

Committed r70663: <http://trac.webkit.org/changeset/70663>
Comment 5 Zhenyao Mo 2010-10-27 10:14:44 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 WebKit Review Bot 2010-10-27 14:04:12 PDT
http://trac.webkit.org/changeset/70663 might have broken GTK Linux 32-bit Debug